function c=prod(a,dim)
  % A : N-by-m-by-n amat
  % c=prod(a) : c m-by-n matrix, prod of all the N matrices element by element
  % c=sum(a,1) : c: N-by-1-by-n amat, prod of each matrices along dim=1 (rows)
  % c=sum(a,2) : c: N-by-m-by-1 amat, prod of each matrices along dim=2 (columns)
  if nargin==1
    c=reshape(prod(a.values,1),[a.nr,a.nc]);
    return
  end
  assert( ismember(dim,1:2) )
  if isempty(a)
    if dim==1
      c=fc_amat.ones(a.N,1,max(1,a.nc));
    else
      c=fc_amat.ones(a.N,max(1,a.nr),1);
    end
    return
  end
  
  if a.ns==3
    c=amat(prod(a.values,dim+1));
  else
    if dim==1
      c=amat(prod(a.values,dim));
    else
      c=a;
    end
  end
end
  
