function plotsubcells(SubCells,varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('color','');
  p.parse(varargin{:});
  R=p.Results;
  nsc=length(SubCells);
  if isempty(R.color)
    colors = fc_tools.graphics.selectColors(nsc);
  else
    color=fc_tools.graphics.xcolor.val2rgb(R.color);
    colors=repmat(color,[nsc,1]);
  end
  hold on
  h=[];labels={};
  for i=nsc:-1:1
    if ~isempty(SubCells{i})
      h(end+1)=fc_hypermesh.refinement.plotmesh(SubCells{i}.q,SubCells{i}.me,'color',colors(i,:));
      labels{end+1}=sprintf('%s. [%s]',SubCells{i}.type(1:4),num2str(SubCells{i}.n));
    end
  end
  if isempty(R.color)
  legend(h,labels)
  end
end
