function varargout=gpdemo01(varargin)
  % pGh=fc_oogmsh.demos.demop('geofile','cylinderkey','d',3,'MshFileVersion','4.1');
  % pGh=fc_oogmsh.demos.demop('geofile','condenser','d',2,'MshFileVersion','4.1','np',4);
  % pGh=fc_oogmsh.demos.demop('geofile','demisphere5','d',2,'MshFileVersion','2.2','np',4);
  formats=fc_oogmsh.gmsh.getMSHfile_formats();
  p = inputParser;
  p.addParamValue('geofile','condenser',@ischar);
  p.addParamValue('MshFileVersion','4.1',@(x) ismember(x,formats));
  p.addParamValue('N',4,@isscalar);
  p.addParamValue('d',2,@isscalar);
  p.addParamValue('np',5,@(x) isscalar(x) && (x>=2) ); % number of partition 
  p.addParamValue('graphic',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  if R.graphic,close all;end
  
  linesep=fc_tools.utils.line_text_delimiter();
  fprintf(linesep)
  fprintf('  One step: GEO file -> MSH partitioned file \n')
  fprintf(linesep)  
  
  fprintf('1. Building a partitioned mesh file by using :\n')
  fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
  fprintf('   -> geo file : %s\n',R.geofile);
  fprintf('   -> mesh file format : %s\n',R.MshFileVersion);
  fprintf('   -> number of partitions : %d\n',R.np);
  pmfile=fc_oogmsh.gmsh.buildpartmesh(R.geofile,R.np,'d',R.d,'N',R.N,'verbose',1,'force',true,'MshFileVersion',R.MshFileVersion);
  fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
  fprintf('2. Reading the partitioned mesh file\n')
  if strcmp(R.MshFileVersion,'2.2')
    pGh=fc_oogmsh.ooGmsh2(pmfile);
  else
    pGh=fc_oogmsh.ooGmsh4(pmfile);
  end
  fprintf('   -> Mesh file format: %s\n',pGh.MeshFormat.version);
  if R.graphic
    pGh.plotPhysicalElements()
    pGh.plotElementaryElements()
    pGh.plotPartitionElements()
    pGh.plotInterfaceElements()  
    fc_tools.graphics.monitors.autoGrid()
  end
  if nargout==1,varargout{1}=pGh;end
end
